8086:4232 [Dell Latitude E4200] WiFi N not connecting in 12.04 Intel Wifi Link 5100

Bug #991713 reported by Marc Tommasi on 2012-04-30
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux
In Progress
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

Wireless not connecting.

Also tested with latest kernel, Same effect.

Linux fitis 3.4.0-999-generic #201204260409 SMP Thu Apr 26 08:17:40 UTC 2012 i686 i686 i386 GNU/Linux

WORKAROUND: I had to disable N mode with

options iwlwifi 11n_disable=1

in /etc/modprobe.d/disable11n.conf

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-24-generic 3.2.0-24.37
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tommasi 18457 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6adc000 irq 47'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:111d76b2,10280277,00100302 HDA:80862802,80860101,00100000'
   Controls : 26
   Simple ctrls : 12
Date: Mon Apr 30 08:53:22 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=/dev/sda5
MachineType: Dell Inc. Latitude E4200
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: root=UUID=27d65efb-3443-4c0d-a229-ea2f5517fc19 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-04-28 (1 days ago)
WpaSupplicantLog:

dmi.bios.date: 01/31/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A19
dmi.board.name: 0X529G
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA19:bd01/31/2011:svnDellInc.:pnLatitudeE4200:pvr:rvnDellInc.:rn0X529G:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude E4200
dmi.sys.vendor: Dell Inc.

Marc Tommasi (marc-tommasi) wrote :
Brad Figg (brad-figg) on 2012-04-30
Changed in linux (Ubuntu):
status: New → Confirmed

Marc Tommasi, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

tags: added: needs-upstream-testing
summary: - Wireless not connecting in 12.04 Intel Wifi Link 5100
+ [8086:4232] Wireless not connecting in 12.04 Intel Wifi Link 5100
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
description: updated
Marc Tommasi (marc-tommasi) wrote :

Also tested with latest kernel, Same effect.

Linux fitis 3.4.0-999-generic #201204260409 SMP Thu Apr 26 08:17:40 UTC 2012 i686 i686 i386 GNU/Linux

Marc.

tags: removed: needs-upstream-testing
description: updated
tags: added: bot-stop-nagging kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → Incomplete
Tim (cyboreal) wrote :

Is https://bugs.launchpad.net/ubuntu/+bug/996205 a duplicate of this? It would appear not, since disabling N mode in iwlwifi does not fix the problem and it also occurs with other drivers for cards of different chipsets.

Tim, please post any future comments about this wifi issue in your bug 996205 so we may better narrow down the root cause.

Thanks!

Gerhard Radatz (gerhard-radatz) wrote :

I have the same bug on a Dell Vostro 1520 with Intel Wifi Link 5100 adapter.
Wireless did show up as being "connected" after login, but in fact communication did not work.
Turning it off and on again using the hardware switch was a possible workaround.

I can confirm that the workaround in the problem description (disabling N mode) makes wifi work right from the beginning.

Gerhard Radatz, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Gerhard Radatz (gerhard-radatz) wrote :

@Christopher: Done. Please see Bug 998805

Garry (s61kiwi) wrote :

I have the same bug. Wireless would not connect to 802.11N after upgrade to 12.04.

WORKAROUND: I had to disable N mode with

options iwlwifi 11n_disable=1

in /etc/modprobe.d/disable11n.conf

I did a new install of 12.04 and it seemed to have fixed the problem, however after a couple of days the issue returned and I had to revert to the workaround.

Chili555 over at Ubuntu Forums seems to be the go to guy on this issue.

tom.eustace (tom-eustace) wrote :

After updating 12.04 a few days ago I can no longer get wifi access. I am on a vaio with Intel wifi link 1500. The disable N mode does not correct the issue. Is this a different bug?

tom.eustance, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Changed in linux:
status: Incomplete → In Progress
tags: added: bios-outdated-a24 needs-upstream-testing

Marc Tommasi, as per http://www.dell.com/support/drivers/us/en/19/Product/latitude-e4200 an update is available for your BIOS (A24). If you update to this following https://help.ubuntu.com/community/BiosUpdate , does it change anything? If it doesn't, could you please both specify what happened, and just provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful.

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Thank you for your understanding.

tags: added: needs-next-test
Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: added: needs-wifi-debug
summary: - [8086:4232] Wireless not connecting in 12.04 Intel Wifi Link 5100
+ 8086:4232 [Latitude E4200] WiFi N not connecting in 12.04 Intel Wifi
+ Link 5100
summary: - 8086:4232 [Latitude E4200] WiFi N not connecting in 12.04 Intel Wifi
- Link 5100
+ 8086:4232 [Dell Latitude E4200] WiFi N not connecting in 12.04 Intel
+ Wifi Link 5100
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.